package com.yd.csf.api.service;

import com.yd.common.result.Result;
import com.yd.csf.feign.dto.appointment.ApiBeneficiaryInfoDto;
import com.yd.csf.feign.request.beneficiary.ApiBatchEditBeneficiaryRequest;

import java.util.List;

public interface ApiBeneficiaryService {

    Result<List<ApiBeneficiaryInfoDto>> list(String appointmentBizId);

    Result<ApiBeneficiaryInfoDto> detail(String beneficiaryBizId);

    Result add(ApiBeneficiaryInfoDto apiBeneficiaryInfoDto);

    Result edit(ApiBeneficiaryInfoDto apiBeneficiaryInfoDto);

    Result batchEdit(ApiBatchEditBeneficiaryRequest request);

    Result del(String beneficiaryBizId);

    Result batchAddBeneficiaryData(List<ApiBeneficiaryInfoDto> apiBeneficiaryInfoDtoList,
                                   String appointmentBizId);

    Result batchEditBeneficiaryData(List<ApiBeneficiaryInfoDto> apiBeneficiaryInfoDtoList,
                                    String appointmentBizId);
}
